Package org.eclipse.core.commands

# Class NotEnabledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.commands.common.CommandException
org.eclipse.core.commands.NotEnabledException

All Implemented Interfaces:
  `Serializable`

public final class NotEnabledException extends CommandException
Signals that an attempt was made to execute a command that is not enabled.

This class is not intended to be extended by clients.

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotEnabledException(String s)`
Creates a new instance of this class with the specified detail message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotEnabledException

public NotEnabledException(String s)
Creates a new instance of this class with the specified detail message.

Parameters:
  `s` - the detail message; may be `null`.